icetGetStrategyName(3)

NAME

icetGetStrategyName -- retrieve strategy name.

Synopsis

#include <IceT.h>

const char *icetGetStrategyName( | void | );

Description

icetGetStrategyName retrieves a human-readable name for the current strategy.

Return Value

Returns a short, null terminated string identifying the strategy currently in effect. Helpful for printing out debugging or diagnostic statements. If no strategy is set, NULL is returned.

Errors

ICET_INVALID_ENUM
     A strategy was never set with icetStrategy.

Warnings

None.

Bugs

None known.

Notes

The string returned does not contain the identifier used in a C program. For example, if the current strategy is ICET_STRATEGY_REDUCE, icetGetStrategyName returns ``Reduce,'' not ``ICET_STRATEGY_REDUCE.''

Copyright

Copyright (C)2003 Sandia Corporation

Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation, the U.S. Government retains certain rights in this software.

This source code is released under the New BSD License.

See Also

icetGetSingleImageStrategyName(3), icetStrategy(3)